Bug 1305770 - libgnome: Enrolling fingerprint requires no password
libgnome: Enrolling fingerprint requires no password
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20110526,reported=2...
: Reopened, Security
Depends On: 1333882
Blocks: 1305771
  Show dependency treegraph
 
Reported: 2016-02-09 03:27 EST by Adam Mariš
Modified: 2016-11-08 11:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-06 10:33:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-09 03:27:43 EST
It was reported that in Gnome 3, it is possible to enroll a new fingerprint for login authentication (which can also be used for sudo in some configurations), without having to enter the owner's password. Attacker can enroll his own fingerprint when the owner leaves their laptop unlocked for a minute, meaning he can also enter the laptop later if its locked.
Comment 3 Adam Mariš 2016-05-06 10:31:37 EDT
Upstream bug:

https://bugs.freedesktop.org/show_bug.cgi?id=89407

Note that this behavior can be changed in fprintd PolicyKit settings in /usr/share/polkit-1/actions/net.reactivated.fprint.device.policy
Comment 4 Adam Mariš 2016-05-06 10:32:31 EDT
Created fprintd tracking bugs for this issue:

Affects: fedora-all [bug 1333882]
Comment 7 Adam Mariš 2016-05-09 10:55:55 EDT
This issue has been reported as far back as 2011:

https://bugzilla.gnome.org/show_bug.cgi?id=651196
Comment 8 Patrick Uiterwijk 2016-08-06 03:53:31 EDT
Note that the GNOME bug says that the decision is up to the distribution policy, but it seems that the distribution policy for Fedora apparantly does not require authentication.
So for Fedora, this is still a bug.

Note You need to log in before you can comment on or make changes to this bug.